/*
 * InitWindow.java
 *
 *
 */

package com.uvigo.tMaestro.SCOCreator.tool;

/**
 *
 * @author raul
 */
public class InitWindow extends javax.swing.JWindow{
    
    /**
     * Crea una nueva instancia
     */
    public InitWindow(InitPanel oPanel) {
        super();
        setSize(455,355);
        java.awt.Dimension oScreenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        java.awt.Insets oInsets = java.awt.Toolkit.getDefaultToolkit().getScreenInsets(java.awt.GraphicsEnvironment.getLocalGraphicsEnvironment().getDefaultScreenDevice().getDefaultConfiguration());
        setLocation(oInsets.left+(oScreenSize.width-this.getWidth()-oInsets.left-oInsets.right)/2,oInsets.top+(oScreenSize.height-this.getHeight()-oInsets.top-oInsets.bottom)/2);
        add(oPanel);
        setVisible(true);
        oPanel.repaint();
        //setAlwaysOnTop(true);
    }
    
}
